Package org.eclipse.rdf4j.queryrender.builder

## Class AbstractQueryBuilder<T extends ParsedQuery>

- java.lang.Object
- - org.eclipse.rdf4j.queryrender.builder.AbstractQueryBuilder<T>

- All Implemented Interfaces:
    `QueryBuilder<T>`, `SupportsGroups`

      @Deprecated
      public class AbstractQueryBuilder<T extends ParsedQuery>
      extends Object
      implements QueryBuilder<T>

  Deprecated.
  use `SparqlBuilder` instead.

  Base implementation of a QueryBuilder.

  Author:
    Michael Grove

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<StatementPattern>` | `mProjectionPatterns` | Deprecated.
    `protected List<String>` | `mProjectionVars` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QueryBuilder<T>` | `addGroup​(Group theGroup)` | Deprecated. Add this group from the query
    `QueryBuilder<T>` | `addProjectionStatement​(String theSubj, String thePred, String theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(String theSubj, String thePred, Value theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(String theSubj, IRI thePred, String theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(String theSubj, IRI thePred, Value theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(String theSubj, Value thePred, Value theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(IRI theSubj, String thePred, String theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(IRI theSubj, IRI thePred, String theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionVar​(String... theNames)` | Deprecated. Add projection variables to the query
    `QueryBuilder<T>` | `distinct()` | Deprecated. Specify that this query should use the "distinct" keyword
    `QueryBuilder<T>` | `from​(IRI theURI)` | Deprecated. Add a from clause to this query
    `QueryBuilder<T>` | `fromNamed​(IRI theURI)` | Deprecated. Add a 'from named' clause to this query
    `GroupBuilder<T,​QueryBuilder<T>>` | `group()` | Deprecated. Create a new sub-group of the query
    `QueryBuilder<T>` | `limit​(int theLimit)` | Deprecated. Specify a limit for the query
    `QueryBuilder<T>` | `offset​(int theOffset)` | Deprecated. Specify an offset for the query
    `GroupBuilder<T,​QueryBuilder<T>>` | `optional()` | Deprecated. Create an option sub-group
    `QueryBuilder<T>` | `orderBy​(String... theNames)` | Deprecated. Specify ORDER BY clause with ASC modifier by default
    `QueryBuilder<T>` | `orderByAsc​(String... theNames)` | Deprecated. Specify ORDER BY clause with ASC modifier
    `QueryBuilder<T>` | `orderByDesc​(String... theNames)` | Deprecated. Specify ORDER BY clause with DESC modifier
    `T` | `query()` | Deprecated. Return the query constructed by this query builder
    `QueryBuilder<T>` | `reduced()` | Deprecated. Specify that this query should use the "reduced" keyword
    `QueryBuilder<T>` | `removeGroup​(Group theGroup)` | Deprecated. Remove this group from the query
    `void` | `reset()` | Deprecated. Reset the state of the query builder

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mProjectionPatterns

          protected List<StatementPattern> mProjectionPatterns

      Deprecated.

    - #### mProjectionVars

          protected List<String> mProjectionVars

      Deprecated.

  - ### Method Detail

    - #### reset

          public void reset()

      Deprecated.
      Reset the state of the query builder
      Specified by:
        `reset` in interface `QueryBuilder<T extends ParsedQuery>`

    - #### query

          public T query()

      Deprecated.
      Return the query constructed by this query builder
      Specified by:
        `query` in interface `QueryBuilder<T extends ParsedQuery>`
      Returns:
        the query

    - #### fromNamed

          public QueryBuilder<T> fromNamed​(IRI theURI)

      Deprecated.
      Add a 'from named' clause to this query
      Specified by:
        `fromNamed` in interface `QueryBuilder<T extends ParsedQuery>`
      Parameters:
        `theURI` - the graph URI
      Returns:
        this query builder

    - #### from

          public QueryBuilder<T> from​(IRI theURI)

      Deprecated.
      Add a from clause to this query
      Specified by:
        `from` in interface `QueryBuilder<T extends ParsedQuery>`
      Parameters:
        `theURI` - the from URI
      Returns:
        this query builder

    - #### distinct

          public QueryBuilder<T> distinct()

      Deprecated.
      Specify that this query should use the "distinct" keyword
      Specified by:
        `distinct` in interface `QueryBuilder<T extends ParsedQuery>`
      Returns:
        this query builder

    - #### reduced

          public QueryBuilder<T> reduced()

      Deprecated.
      Specify that this query should use the "reduced" keyword
      Specified by:
        `reduced` in interface `QueryBuilder<T extends ParsedQuery>`
      Returns:
        this query builder

    - #### addProjectionVar

          public QueryBuilder<T> addProjectionVar​(String... theNames)

      Deprecated.
      Add projection variables to the query
      Specified by:
        `addProjectionVar` in interface `QueryBuilder<T extends ParsedQuery>`
      Parameters:
        `theNames` - the names of the variables to add to the projection
      Returns:
        this query builder

    - #### addProjectionStatement

          public QueryBuilder<T> addProjectionStatement​(String theSubj,
                                                        String thePred,
                                                        String theObj)

      Deprecated.
      Specified by:
        `addProjectionStatement` in interface `QueryBuilder<T extends ParsedQuery>`

    - #### addProjectionStatement

          public QueryBuilder<T> addProjectionStatement​(String theSubj,
                                                        Value thePred,
                                                        Value theObj)

      Deprecated.

    - #### addProjectionStatement

          public QueryBuilder<T> addProjectionStatement​(String theSubj,
                                                        String thePred,
                                                        Value theObj)

      Deprecated.
      Specified by:
        `addProjectionStatement` in interface `QueryBuilder<T extends ParsedQuery>`

    - #### addProjectionStatement

          public QueryBuilder<T> addProjectionStatement​(String theSubj,
                                                        IRI thePred,
                                                        Value theObj)

      Deprecated.
      Specified by:
        `addProjectionStatement` in interface `QueryBuilder<T extends ParsedQuery>`

    - #### addProjectionStatement

          public QueryBuilder<T> addProjectionStatement​(IRI theSubj,
                                                        String thePred,
                                                        String theObj)

      Deprecated.
      Specified by:
        `addProjectionStatement` in interface `QueryBuilder<T extends ParsedQuery>`

    - #### addProjectionStatement

          public QueryBuilder<T> addProjectionStatement​(IRI theSubj,
                                                        IRI thePred,
                                                        String theObj)

      Deprecated.
      Specified by:
        `addProjectionStatement` in interface `QueryBuilder<T extends ParsedQuery>`

    - #### addProjectionStatement

          public QueryBuilder<T> addProjectionStatement​(String theSubj,
                                                        IRI thePred,
                                                        String theObj)

      Deprecated.
      Specified by:
        `addProjectionStatement` in interface `QueryBuilder<T extends ParsedQuery>`

    - #### group

          public GroupBuilder<T,​QueryBuilder<T>> group()

      Deprecated.
      Create a new sub-group of the query
      Specified by:
        `group` in interface `QueryBuilder<T extends ParsedQuery>`
      Returns:
        the new group

    - #### optional

          public GroupBuilder<T,​QueryBuilder<T>> optional()

      Deprecated.
      Create an option sub-group
      Specified by:
        `optional` in interface `QueryBuilder<T extends ParsedQuery>`
      Returns:
        the new group

    - #### limit

          public QueryBuilder<T> limit​(int theLimit)

      Deprecated.
      Specify a limit for the query
      Specified by:
        `limit` in interface `QueryBuilder<T extends ParsedQuery>`
      Parameters:
        `theLimit` - the new limit for the query
      Returns:
        this query builder

    - #### offset

          public QueryBuilder<T> offset​(int theOffset)

      Deprecated.
      Specify an offset for the query
      Specified by:
        `offset` in interface `QueryBuilder<T extends ParsedQuery>`
      Parameters:
        `theOffset` - the new offset
      Returns:
        this query builder

    - #### addGroup

          public QueryBuilder<T> addGroup​(Group theGroup)

      Deprecated.
      Add this group from the query
      Specified by:
        `addGroup` in interface `SupportsGroups<T extends ParsedQuery>`
      Parameters:
        `theGroup` - the group to add
      Returns:
        this builder

    - #### removeGroup

          public QueryBuilder<T> removeGroup​(Group theGroup)

      Deprecated.
      Remove this group from the query
      Specified by:
        `removeGroup` in interface `SupportsGroups<T extends ParsedQuery>`
      Parameters:
        `theGroup` - the group to remove
      Returns:
        this builder

    - #### orderBy

          public QueryBuilder<T> orderBy​(String... theNames)

      Deprecated.
      Specify ORDER BY clause with ASC modifier by default
      Specified by:
        `orderBy` in interface `QueryBuilder<T extends ParsedQuery>`
      Parameters:
        `theNames` - the names of the variables to apply the ordering
      Returns:
        this query builder

    - #### orderByAsc

          public QueryBuilder<T> orderByAsc​(String... theNames)

      Deprecated.
      Specify ORDER BY clause with ASC modifier
      Specified by:
        `orderByAsc` in interface `QueryBuilder<T extends ParsedQuery>`
      Parameters:
        `theNames` - the names of the variables to apply the ordering
      Returns:
        this query builder

    - #### orderByDesc

          public QueryBuilder<T> orderByDesc​(String... theNames)

      Deprecated.
      Specify ORDER BY clause with DESC modifier
      Specified by:
        `orderByDesc` in interface `QueryBuilder<T extends ParsedQuery>`
      Parameters:
        `theNames` - the names of the variables to apply the ordering
      Returns:
        this query builder